Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 1996)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 1997)
@@ -24,6 +24,7 @@
 /**
  * Common charts engine. This is the superclass of all chart engine implementations.
  * This class provides methods to create charts from variable chart creators stored by type of result data such as CA, CAH, Singular values, etc.
+ * 
  * @author sjacquot
  *
  */
@@ -34,7 +35,7 @@
 	/**
 	 * Constants for output formats and file extensions.
 	 */
-	public final static String OUTPUT_FORMAT_JPEG = "jpeg", OUTPUT_FORMAT_PDF = "pdf", OUTPUT_FORMAT_PNG = "png", OUTPUT_FORMAT_PS = "ps", OUTPUT_FORMAT_SVG = "svg", OUTPUT_FORMAT_BMP = "bmp", OUTPUT_FORMAT_GIF = "gif";
+	public final static String OUTPUT_FORMAT_NONE = "NONE", OUTPUT_FORMAT_JPEG = "jpeg", OUTPUT_FORMAT_PDF = "pdf", OUTPUT_FORMAT_PNG = "png", OUTPUT_FORMAT_PS = "ps", OUTPUT_FORMAT_SVG = "svg", OUTPUT_FORMAT_BMP = "bmp", OUTPUT_FORMAT_GIF = "gif";
 	
 	/**
 	 * Constants for the colors rendering modes.
@@ -73,6 +74,7 @@
 	protected boolean directComputing; 
 
 	
+	// add the preference node qualifier to the preferences so the command use some preferences if they do not define themselves
 	static	{
 		TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.getInstance().getPreferencesNodeQualifier());
 	}
@@ -93,9 +95,11 @@
 	}
 
 	/**
-	 * Gets a chart creator for the specified result.
-	 * @param resultDataType
+	 * Gets a chart creator for the specified result and chart type.
+	 * 
+	 * @param result
 	 * @param chartType
+	 * @param showLogWarning
 	 * @return A chart creator if it exists otherwise <code>null</code>
 	 */
 	public ChartCreator getChartCreator(ChartResult result, String chartType, boolean showLogWarning)	{
@@ -111,20 +115,31 @@
 		return chartCreator;
 	}
 	
-	
+	/**
+	 * Gets a chart creator for the specified result and default chart type.
+	 * @param result
+	 * @param showLogWarning
+	 * @return
+	 */
 	public ChartCreator getChartCreator(ChartResult result, boolean showLogWarning)	{
 		return this.getChartCreator(result, result.getChartType(), showLogWarning);
 	}
 	
+	/**
+	 * Gets a chart creator for the specified result and chart type.
+	 * @param result
+	 * @param chartType
+	 * @return
+	 */
 	public ChartCreator getChartCreator(ChartResult result, String chartType)	{
 		return this.getChartCreator(result, chartType, true);
 	}
 	
 
 	/**
-	 * Gets a chart creator for the specified result.
+	 * Gets a chart creator for the specified result and default chart type.
+	 * 
 	 * @param result
-	 * @param showLogWarning
 	 * @return
 	 */
 	public ChartCreator getChartCreator(ChartResult result)	{
@@ -133,8 +148,9 @@
 
 	
 	/**
-	 * Gets a list of all installed chart creators for the specified result. 
-	 * @param resultDataType
+	 * Gets a list of all installed chart creators for the specified result.
+	 * 
+	 * @param result
 	 * @return
 	 */
 	public ArrayList<ChartCreator> getChartCreators(ChartResult result)	{
@@ -148,7 +164,8 @@
 	
 
 	/**
-	 * Checks if the charts engine can create a chart according to the specified result data type and chart type.
+	 * Checks if the charts engine can create a chart according to the specified result and chart type.
+	 * 
 	 * @param resultDataType
 	 * @param chartType
 	 * @return <code>True</code> if a chart creator can be found, otherwise <code>false</code>
@@ -159,6 +176,7 @@
 
 	/**
 	 * Checks if the charts engine can create a chart according to the specified result data type.
+	 * 
 	 * @param resultDataType
 	 * @return <code>True</code> if a chart creator can be found, otherwise <code>false</code>
 	 */
@@ -193,92 +211,45 @@
 		
 		chartCreator.setChartsEngine(this);		
 
-		String log = this.getName() + ": Chart creator " + chartCreator.getClass().getSimpleName() + " added for result data type: " + resultDataType;
+		String log = this.getName() + ": Chart creator " + chartCreator.getClass().getSimpleName() + " added for result data type: " + resultDataType; //$NON-NLS-1$ //$NON-NLS-2$
 		
 		if(chartType != null)	{
-			log += " (chart type: " + chartType + ")";
+			log += " (chart type: " + chartType + ")"; //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		
-		log +=".";
+		log +="."; //$NON-NLS-1$
 		
 		Log.finest(log);
 		
 	}
 
-//	/**
-//	 * Creates and stores charts engines from installed extension contributions.
-//	 * @param outputFormat
-//	 */
-//	@Deprecated
-//	public static void createChartsEngines()	{
-//
-//		Log.finest("Looking for charts engines contributions with extension point id " + ChartsEngine.EXTENSION_POINT_ID + ".");
-//		
-//		ChartsEngine.chartsEngines = new ArrayList<ChartsEngine>();
-//		ChartsEngine.currentChartsEngineIndex = 0;
-//
-//		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor(ChartsEngine.EXTENSION_POINT_ID);
-//
-//		Log.finest(contributions.length + " charts engines found.");
-//		
-//		for(int i = 0; i < contributions.length; i++) {
-//			try {
-//				ChartsEngine chartsEngine = (ChartsEngine)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
-//				chartsEngine.registerChartCreatorExtensions();
-//				ChartsEngine.chartsEngines.add(chartsEngine);
-//			}
-//			catch(CoreException e) {
-//				e.printStackTrace();
-//			} 
-//		}
-//	}
-
 	/**
 	 * Gets the current charts engine.
+	 * Convenience method to return the current chart engine of the charts engines manager.
 	 * @return the current charts engine
 	 */
-	@Deprecated
 	public static ChartsEngine getCurrent()	{
-		return (ChartsEngine) Toolbox.getEngineManager(EngineType.CHARTS).getCurrentEngine();
+		return ChartsEnginesManager.getInstance().getCurrentEngine();
 	}
 	
-	
-	/**
-	 * Gets an installed charts engine according to its class type.
-	 * @param type
-	 * @return the installed charts engine according to its class type if it exists otherwise null
-	 */
-	@Deprecated
-	public static ChartsEngine getChartsEngine(Class type)	{
-		ChartsEngine chartsEngine = null;
-		for(int i = 0; i < ChartsEngine.chartsEngines.size(); i++) {
-			if(ChartsEngine.chartsEngines.get(i).getClass().equals(type))	{
-				chartsEngine = ChartsEngine.chartsEngines.get(i);
-				break;
-			}
-		}
-		return chartsEngine;
-	}
-	
-	/**
-	 * Gets an installed charts engine that supports the specified output format.
-	 * @param outputFormat
-	 * @return
-	 */
-	@Deprecated
-	public static ChartsEngine getChartsEngine(String outputFormat)	{
-		ChartsEngine chartsEngine = null;
-		for(int i = 0; i < ChartsEngine.chartsEngines.size(); i++) {
-			if(ChartsEngine.chartsEngines.get(i).getSupportedOutputDisplayFormats().contains(outputFormat) || ChartsEngine.chartsEngines.get(i).getSupportedOutputFileFormats().contains(outputFormat))	{
-				chartsEngine = ChartsEngine.chartsEngines.get(i);
-				break;
-			}
-		}
-		return chartsEngine;
-	}
-	
-	
+// FIXME: SJ: became useless?	
 //	/**
+//	 * Gets an installed charts engine according to its class type.
+//	 * @param type
+//	 * @return the installed charts engine according to its class type if it exists otherwise null
+//	 */
+//	@Deprecated
+//	public static ChartsEngine getChartsEngine(Class type)	{
+//		ChartsEngine chartsEngine = null;
+//		for(int i = 0; i < ChartsEngine.chartsEngines.size(); i++) {
+//			if(ChartsEngine.chartsEngines.get(i).getClass().equals(type))	{
+//				chartsEngine = ChartsEngine.chartsEngines.get(i);
+//				break;
+//			}
+//		}
+//		return chartsEngine;
+//	}
+//	/**
 //	 * Gets an installed charts engine according to its name.
 //	 * @param type
 //	 * @return the installed charts engine according to its name if it exists otherwise null
@@ -386,6 +357,7 @@
 	/**
 	 * Creates a temporary file in USER_TXM_HOME\results with the specified prefix for writing the chart.
 	 * The suffix is computed according to the current output format of the charts engine.
+	 * 
 	 * @return
 	 */
 	public File createTmpFile(String prefix)	{
@@ -591,7 +563,9 @@
 		//nothing to do
 	}
 	
+	@Override
 	public String getDetails() {
-		return this.getClass()+ " "+ this.toString() + " - is Running = " + this.isRunning();
+		return this.description;
+		//return this.getClass()+ " "+ this.toString() + " - is Running = " + this.isRunning();
 	}
 }
